{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Kategori Mobil</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <a href="{% url 'profile:admin_mobil_create' %}"> 
        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Data Mobil</button>
    </a>

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Data Mobil</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                

                <div class="table-responsive py-3">
                    <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                        <thead class="bg-info text-white">
                            <th>No</th>
                            <th>Kategori</th>
                            <th>Judul</th>
                            <th>Harga</th>
                            <th>Deskripsi</th>
                            <th>Best Seller?</th>
                            <th>Aksi</th>
                        </thead>
                        <tbody>
                            {% for data_mobil_ in data_mobil %}
                            {% include 'profile/admin/mobil/modal_detail.html' %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td>{{data_mobil_.kategori_mobil.judul}}</td>
                                    <td>{{data_mobil_.nama}}</td>
                                    <td>{{data_mobil_.harga}}</td>
                                    <td>{{data_mobil_.deskripsi|safe | truncatewords:8}}</td>
                                    <td>{% if data_mobil_.best_seller == 1 %}
                                        Iya
                                        {% else %}
                                        Tidak
                                        {% endif %}
                                    </td>
                                    <td>
                                        <button class="btn btn-info pass-data" title="Detail"
                                            data-toggle="modal" data-target="#modal-center{{data_mobil_.id}}">
                                                <i class="fa fa-eye"></i>
                                            </button>
                                        <a href="{% url 'profile:admin_mobil_edit' data_mobil_.id %}" class="btn btn-warning"><i class="fa fa-edit"></i></a>
                                        {% if news.deleted_at %}
                                            <button class="btn btn-warning btn-circle mr-3 mb-2" 
                                                onclick="restore_(`{{ data_mobil_.nama }}`, '{{ data_mobil_.id }}', 'news', 'Berita')"
                                                data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                                <i class="bi bi-arrow-counterclockwise"></i>
                                            </button>
                                            {% if user.is_staff %}
                                                <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                                    onclick="delete_('permanent_delete', `{{ data_mobil_.nama }}`, '{{ data_mobil_.id }}', 'news', 'Berita')"
                                                    data-toggle="tooltip" data-placement="top" title="Hapus">
                                                    <i class="bi bi-trash"></i>
                                                </button>
                                            {% endif %}
                                        {% else %}
                                            <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                                onclick="delete_('soft_delete', `{{ data_mobil_.nama }}`, '{{ data_mobil_.id }}', 'news', 'Berita')"
                                                data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                                <i class="bi bi-archive"></i>
                                            </button>
                                        {% endif %}
                                        <a href="{% url 'profile:admin_child' data_mobil_.id %}" class="btn btn-primary" title="Add Child"><i class="fa fa-plus"></i></a>
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-center">
                {% if newss.has_other_pages %}
                    {% if newss.has_previous %}
                        <li class="page-item">
                            <a class="page-link" href="?page={{ newss.previous_page_number }}" tabindex="-1">Previous</a>
                        </li>
                    {% endif %}

                    {% for i in newss.paginator.page_range %}
                        {% if newss.number == i %}
                            <li class="page-item disabled">
                                <a class="page-link" href="#" tabindex="-1">{{ i }}</a>
                            </li>
                        {% else %}
                            <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
                        {% endif %}
                    {% endfor %}

                    {% if newss.has_next %}
                        <li class="page-item">
                            <a class="page-link" href="?page={{ newss.next_page_number }}">Next</a>
                        </li>
                    {% endif %}
                {% endif %}
            </ul>
        </nav>
    </div>

    

    {% if request.user.is_staff and archives %}
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Arsip Mobil</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="table-responsive py-3">
                    <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                        <thead class="bg-info text-white">
                            <th>No</th>
                            <th>Kategori</th>
                            <th>Judul</th>
                            <th>Harga</th>
                            <th>Deskripsi</th>
                            <th>Best Seller?</th>
                            <th>Aksi</th>
                        </thead>
                        <tbody>
                            {% for archive in archives %}
                            {% include 'profile/admin/mobil/modal_detail.html' %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td>{{archive.kategori_mobil.judul}}</td>
                                    <td>{{archive.nama}}</td>
                                    <td>{{archive.harga}}</td>
                                    <td>{{archive.deskripsi|safe | truncatewords:8}}</td>
                                    <td>{% if archive.best_seller == 1 %}
                                        Iya
                                        {% else %}
                                        Tidak
                                        {% endif %}
                                    </td>
                                    <td>
                                        <button class="btn btn-info pass-data" title="Detail"
                                            data-toggle="modal" data-target="#modal-center{{archive.id}}">
                                                <i class="fa fa-eye"></i>
                                            </button>
                                        <a href="{% url 'profile:admin_mobil_edit' archive.id %}" class="btn btn-warning"><i class="fa fa-edit"></i></a>
                                        {% if archive.deleted_at %}
                                            <button class="btn btn-warning btn-circle mr-3 mb-2" 
                                                onclick="restore_(`{{ archive.nama }}`, '{{ archive.id }}', 'news', 'Berita')"
                                                data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                                <i class="bi bi-arrow-counterclockwise"></i>
                                            </button>
                                            {% if user.is_staff %}
                                                <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                                    onclick="delete_('permanent_delete', `{{ archive.nama }}`, '{{ archive.id }}', 'news', 'Berita')"
                                                    data-toggle="tooltip" data-placement="top" title="Hapus">
                                                    <i class="bi bi-trash"></i>
                                                </button>
                                            {% endif %}
                                        {% else %}
                                            <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                                onclick="delete_('soft_delete', `{{ archive.nama }}`, '{{ archive.id }}', 'news', 'Berita')"
                                                data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                                <i class="bi bi-archive"></i>
                                            </button>
                                        {% endif %}
                                        <a href="{% url 'profile:admin_child' archive.id %}" class="btn btn-primary" title="Add Child"><i class="fa fa-plus"></i></a>
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    {% endif %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <!-- <script src="{% static 'admin/js/admin/admin-aksi.js' %}"></script> -->
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/mobil/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Kategori Mobil berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/mobil/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Kategori Mobil gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/mobil/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Kategori Mobil berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/mobil/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Kategori Mobil gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}